<!DOCTYPE html>

<html>

<head>
    {{ template "prelude" }}

    <script>
        async function load_requests_plot() {
            const data = await load_time_series(
                "rate(request_duration_count{job=\"metadaten\"}[2m])",
                metric => metric["route"],
            );

            Plotly.newPlot(
                document.getElementById("requests"),
                data,
                {
                    title: "Anfragen",
                    yaxis: {
                        ticksuffix: "/s",
                    },
                }
            );
        }

        async function load_duration_plot() {
            const data = await load_time_series(
                "sum(avg_over_time(request_duration{job=\"metadaten\",quantile=~\"0.5|0.95|1\"}[1h])) by (quantile)",
                metric => metric["quantile"],
            );

            Plotly.newPlot(
                document.getElementById("duration"),
                data,
                {
                    title: "Anfrage-Dauer",
                    yaxis: {
                        ticksuffix: "s",
                    },
                }
            );
        }

        async function load_similar_terms_requests_plot() {
            const data = await load_time_series(
                "rate(similar_terms_request_duration_count{job=\"metadaten\"}[2m])",
                metric => metric["route"],
            );

            Plotly.newPlot(
                document.getElementById("similar_terms_requests"),
                data,
                {
                    title: "Anfragen",
                    yaxis: {
                        ticksuffix: "/s",
                    },
                }
            );
        }

        async function load_similar_terms_duration_plot() {
            const data = await load_time_series(
                "sum(avg_over_time(similar_terms_request_duration{job=\"metadaten\",quantile=~\"0.5|0.95|1\"}[1h])) by (quantile)",
                metric => metric["quantile"],
            );

            Plotly.newPlot(
                document.getElementById("similar_terms_duration"),
                data,
                {
                    title: "Anfrage-Dauer",
                    yaxis: {
                        ticksuffix: "s",
                    },
                }
            );
        }


        
        async function load_plots() {
            await Promise.all([
                load_requests_plot(),
                load_duration_plot(),
                load_similar_terms_requests_plot(),
                load_similar_terms_duration_plot(),
            ]);
        }

        window.onload = load_plots;

        if (options.update_interval > 0) {
            window.setInterval(load_plots, options.update_interval * 1000);
        }
    </script>

    <title>Metadaten: Server</title>

    <style>
        body {
            font-family: sans-serif;
        }

        table {
            width: 100%;
        }

        td {
            width: 50%;
        }
    </style>
</head>

<body>
    <table>
        <tr>
            <td id="requests"></td>
            <td id="duration"></td>
        </tr>
        <tr>
            <td id="similar_terms_requests"></td>
            <td id="similar_terms_duration"></td>
        </tr>
    </table>
</body>

</html>